## procps 1.2.7

=== Makefile ===
# Makefile for procps.  Chuck Blake.
# Portions of this are highly dependent upon features specific to GNU make

PREFIX     =  #proc# prefix for program names
MAN1DIR    =  /usr/man/man1
MAN8DIR    =  /usr/man/man8
BINDIR     =  /bin
SBINDIR    =  /usr/sbin
USRBINDIR  =  /usr/bin
INSTALLBIN =  install --owner bin --group 0 --mode a=rx --strip
INSTALLMAN =  install --owner 0 --group 0 --mode a=r

BPROG      =  ps #						-> BINDIR
UPROG      =  uptime tload free w top vmstat sessreg watch # -> USRBINDIR
SPROG      =  psupdate #					-> SBINDIR
MAN1       =  ps.1 uptime.1 tload.1 free.1 w.1 top.1 sessreg.1 watch.1
MAN8       =  psupdate.8 vmstat.8

SUBDIRS    =  skill xproc xcpustate # sub-packages to build/install

# easy to command-line override
INCDIRS    =  -I/usr/include/ncurses -I/usr/X11R6/include
CC         =  gcc -O3 $(INCDIRS) -D_GNU_SOURCE#-ggdb
CFLAGS     =  -I. -Wall -Wno-unused
SHARED     =  1# build/install both a static and ELF shared library
SHLIBDIR   =  /lib# where to install the shared library

LDFLAGS    =  -Wl,-warn-common #-s	recommended for ELF systems
#LDFLAGS    =  -qmagic -s#		recommended for a.out systems
#LDFLAGS    =  -Xlinker -qmagic -s#	older a.out systems may need this
#LDFLAGS    =  -N -s#			still older a.out systems use this

BFD_CAPABLE = -DBFD_CAPABLE
AOUT_CAPABLE = #-DAOUT_CAPABLE 
ELF_CAPABLE = #-DELF_CAPABLE

LIBBFD = -lbfd -liberty
LIBCURSES  =  -lncurses# watch is the only thing that needs this
#LIBCURSES  =  -lcurses -ltermcap# BSD Curses requires termcap
LIBTERMCAP =  -ltermcap
EXTRALIBS  =  # -lshadow

W_SHOWFROM =  -DW_SHOWFROM# show remote host users are logged in from.

#----------------------------------------------------#
# End of user-configurable portion of the Makefile.  #
# You should not need to modify anything below this. #
#----------------------------------------------------#
BUILD = $(BPROG) $(UPROG) $(SPROG) $(SUBDIRS)

# BUILD LIBRARIES + PROGRAMS
all: config $(BUILD)

config:
	for dir in $(SUBDIRS); do \
	  [ -f $$dir/Imakefile ] && (cd $$dir; xmkmf) ; done

# INSTALL PROGRAMS + DOCS
install: $(patsubst %,install_%,$(BUILD) $(MAN1) $(MAN8))
ifeq ($(SHARED),1)
	install --owner 0 --group 0 --mode a=rx $(LIB_TGT) $(SHLIBDIR)
endif

# INSTALL LIBRARIES + HEADERS (OPTIONAL)
libinstall:
	$(MAKE) -C proc install $(LIBPROCPASS)

clean:
	$(RM) -f $(OBJ) $(BPROG) $(UPROG) $(SPROG)
	for i in proc $(SUBDIRS); do $(MAKE) -C $$i clean; done

distclean: clean
	for i in proc $(SUBDIRS); do $(MAKE) -C $$i clean; done
	$(RM) -f $(OBJ) $(BPROG) $(UPROG) $(SPROG) xproc/Makefile* xcpustate/Makefile* \
	      proc/signames.h proc/.depend


#-----------------------------------------------------#
# End of user-callable make targets.                  #
# You should not need to read anything below this.    #
#-----------------------------------------------------#

.PHONY:	all config install libinstall clean distclean
.PHONY: $(patsubst %,install_%, $(BPROG) $(UPROG) $(SPROG))
.PHONY: proc skill xproc xcpustate
.PHONY: $(patsubst %,build_%, proc skill xproc xcpustate)
.PHONY: $(patsubst %,install_%, proc skill xproc xcpustate)

VERSION      =  1
SUBVERSION   =  2
MINORVERSION =  7
# Note: LIBVERSION may be less than $(VERSION).$(SUBVERSION).$(MINORVERSION)
# LIBVERSION is only set to current $(VERSION).$(SUBVERSION).$(MINORVERSION)
# when an incompatible change is made in libproc.
LIBVERSION   =  1.2.6
ifdef MINORVERSION
LIBPROCPASS  =  SHARED=$(SHARED) SHLIBDIR=$(SHLIBDIR) VERSION=$(VERSION) SUBVERSION=$(SUBVERSION) MINORVERSION=$(MINORVERSION) LIBVERSION=$(LIBVERSION)
else
LIBPROCPASS  =  SHARED=$(SHARED) SHLIBDIR=$(SHLIBDIR) VERSION=$(VERSION) SUBVERSION=$(SUBVERSION) LIBVERSION=$(LIBVERSION)
endif

# libproc setup

ifeq ($(SHARED),1)
    LIB_TGT = proc/libproc.so.$(LIBVERSION)
else
    LIB_TGT = proc/libproc.a
endif

$(LIB_TGT): $(wildcard proc/*.[ch])
	$(MAKE) -C proc `basename $(LIB_TGT)` $(LIBPROCPASS)

# component package setup -- the pattern should be obvious: A build rule and
# unified executable+documentation install rule. (An extra makefile rule is
# needed for those packages which use Imake.)

skill:              build_skill
build_skill:				; $(MAKE) -C skill
install_skill:      skill		; $(MAKE) -C skill install

xproc:              build_xproc
build_xproc:        xproc/Makefile	; $(MAKE) -C xproc
install_xproc:      xproc		; $(MAKE) -C xproc install
xproc/Makefile:     xproc/Imakefile	; cd xproc; xmkmf -a

xcpustate:          build_xcpustate
build_xcpustate:    xcpustate/Makefile	; $(MAKE) -C xcpustate
install_xcpustate:  xcpustate		; $(MAKE) -C xcpustate install
xcpustate/Makefile: xcpustate/Imakefile	; cd xcpustate; xmkmf -a

# executable dependencies

ps top w uptime tload free vmstat sessreg utmp psupdate : $(LIB_TGT)

# static pattern build/link rules:

%.o : %.c
	$(strip $(CC) $(CFLAGS) -c $^)

top.o: top.c top.h
	$(CC) $(CFLAGS) -fwritable-strings -c $<

ps w uptime tload free vmstat sessreg utmp: % : %.o
	$(strip $(CC) $(LDFLAGS) -o $@ $< $(LIB_TGT) $(EXTRALIBS))


# special instances of link rules (need extra libraries/objects)

CAPABILITIES =
ifdef BFD_CAPABLE
CAPABILITIES += bfdupdate.o
endif
ifdef ELF_CAPABLE
CAPABILITIES += elfupdate.o
endif
ifdef AOUT_CAPABLE
CAPABILITIES += aoutupdate.o
endif

psupdate:%: %.o $(CAPABILITIES)
	$(strip $(CC) $(SLDFLAGS) -o $@ $^ $(EXTRALIBS) $(LIBBFD))

top:   % : %.o
	$(strip $(CC)  $(LDFLAGS) -o $@ $^ $(LIB_TGT) $(LIBTERMCAP) $(EXTRALIBS))

watch:	% : %.o
	$(strip $(CC) $(SLDFLAGS) -o $@ $< $(LIBCURSES) $(EXTRALIBS))


# special instances of compile rules (need extra defines)
w.o:	w.c
	$(strip $(CC) $(CFLAGS) $(W_SHOWFROM) -c $<)

sessreg.o:	sessreg.c
	$(strip $(CC) $(CFLAGS) -DSYSV -c $<)

psupdate.o:	psupdate.c
	$(strip $(CC) $(CFLAGS) $(BFD_CAPABLE) $(ELF_CAPABLE) $(AOUT_CAPABLE) -c $<)

bfdupdate.o:	bfdupdate.c
	$(strip $(CC) $(CFLAGS) $(BFD_CAPABLE) -c $<)

elfupdate.o:	elfupdate.c
	$(strip $(CC) $(CFLAGS) $(ELF_CAPABLE) -c $<)

aoutupdate.o:	aoutupdate.c
	$(strip $(CC) $(CFLAGS) $(AOUT_CAPABLE) -c $<)


# static pattern installation rules

$(patsubst %,install_%,$(BPROG)): install_%: %
	$(INSTALLBIN) $< $(BINDIR)/$(PREFIX)$<
$(patsubst %,install_%,$(UPROG)): install_%: %
	$(INSTALLBIN) $< $(USRBINDIR)/$(PREFIX)$<
$(patsubst %,install_%,$(SPROG)): install_%: %
	$(INSTALLBIN) $< $(SBINDIR)/$(PREFIX)$<
$(patsubst %,install_%,$(MAN1)) : install_%: %
	$(INSTALLMAN) $< $(MAN1DIR)/$(PREFIX)$<
$(patsubst %,install_%,$(MAN8)) : install_%: %
	$(INSTALLMAN) $< $(MAN8DIR)/$(PREFIX)$<

# Find all the source and object files in this directory

SRC      =  $(sort $(wildcard *.c))
OBJ      =  $(SRC:.c=.o)

=== proc/Makefile ===
# Auto-adaptive C library Makefile adapted for libproc, Chuck Blake.
# Assumptions are basically that all the .c files in the CWD are modules
# for the library and that all .h files are the interface to the library.

# PROJECT SPECIFIC MACROS
NAME       =  proc

# INSTALLATION OPTIONS
TOPDIR     = /usr
HDRDIR     = $(TOPDIR)/include/$(NAME)#	where to put .h files
LIBDIR     = $(TOPDIR)/lib#		where to put library files
SHLIBDIR   = /lib#			where to put shared library files
HDROWN     = -o root -g root #		owner of header files
LIBOWN     = -o root -g root #		owner of library files
INSTALL    = install

# COMPILATION OPTIONS
CC         =  gcc -O2 -D_GNU_SOURCE #-ggdb # easy to command-line override
CFLAGS     =  -I.. -Wall

# ----------------------------------------------------------------#
# The rest is the auto-magic section -- highly GNU make dependent #
# You should never need to edit this.                             #
# ----------------------------------------------------------------#

VC_SUF     =  ,v
VC_PFX     =  RCS/
RCSFILES   =  $(patsubst $(VC_PFX)%$(VC_SUF),%,$(wildcard $(VC_PFX)*$(VC_SUF)))

# We take the union of RCS files and other files in CWD so that new files do
# not need to alter this makefile.  'sort' removes duplicates.  This allows the
# convenience of compiling and testing new files before the initial check-in.

SRC        =  $(sort $(wildcard *.c) $(filter %.c,$(RCSFILES)))
HDR        =  $(sort $(wildcard *.h) $(filter %.h,$(RCSFILES)))

OBJ        =  $(SRC:.c=.o)
SONAME     =  lib$(NAME).so.$(LIBVERSION)

ifeq ($(SHARED),1)
CFLAGS += -fpic
all: lib$(NAME).a $(SONAME)
else
all: lib$(NAME).a
endif

lib$(NAME).a: $(OBJ)
	$(AR) rcs $@ $^

$(SONAME): $(OBJ)
	gcc -Wl,-shared -Wl,-soname,$(SONAME) -o $@ $^ -lc
	ln -sf $(SONAME) lib$(NAME).so

# AUTOMATIC DEPENDENCY GENERATION -- GCC AND GNUMAKE DEPENDENT

.depend:
	$(strip $(CC) $(CFLAGS) -MM -MG $(SRC) > .depend)
include .depend

# INSTALLATION

install: all
	if ! [ -d $(HDRDIR) ] ; then mkdir $(HDRDIR) ; fi
	$(INSTALL) $(HDROWN) $(HDR) $(TOPDIR)/include/$(NAME)
	$(INSTALL) $(LIBOWN) lib$(NAME).a $(LIBDIR)
ifeq ($(SHARED),1)
	$(INSTALL) $(LIBOWN) $(SONAME) $(SHLIBDIR)
	ln -sf $(SHLIBDIR)/$(SONAME) $(SHLIBDIR)/lib$(NAME).so
	ldconfig
endif

# VARIOUS SHORT CUT TARGETS
.PHONY:	all install dep clean distclean checkout checkclean

dep:	.depend

clean:
	$(RM) lib$(NAME).* *.o

distclean:	clean
	$(RM) .depend signames.h

checkout:
	$(CO) $(RCSFILES)

checkclean:
	$(RM) $(RCSFILES)

# CUSTOM c -> o rule so that command-line has minimal whitespace

%.o : %.c
	$(strip $(CC) $(CFLAGS) -c $<)

# PROJECT SPECIFIC DEPENDENCIES/BUILD RULES


version.o:	version.c version.h
ifdef MINORVERSION
	$(strip $(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\" -c version.c)
else
	$(strip $(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -c version.c)
endif

signals.o : signames.h

signames.h ../proc/signames.h : /usr/include/signal.h
	/lib/cpp -dM </usr/include/signal.h |	\
	tr -s '\t ' '  ' | sort -n +2 | sed		\
	's:#define SIG\([A-Z]\+[0-9]*\) \([0-9]\+\) *\(\|/\*.*\)$$:{\
\2,"\1" },:p;d'  > signames.h

=== xcpustate/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.224 94/12/27 03:57:50 gildea Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.8 1995/01/25 10:42:43 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.19 95/01/05 19:24:32 kaleb Exp $
# $XFree86: xc/config/cf/Imake.cf,v 3.13 1995/01/28 15:40:15 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.7 1995/01/04 04:36:01 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.35 1995/01/25 11:17:10 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.22 1995/01/28 15:40:22 dawes Exp $

# $XConsortium: lnxLib.rules,v 1.8 95/01/16 21:11:00 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.11 1995/01/28 15:40:25 dawes Exp $

# $XConsortium: xfree86.cf,v 1.9 95/01/25 16:42:40 kaleb Exp $
# $XFree86: xc/config/cf/xfree86.cf,v 3.48 1995/01/28 15:40:38 dawes Exp $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

XF86INIT   = $(XF86COMSRC)/xf86Init.o
XF86MINIT  = $(XF86COMSRC)/xf86Init_m.o
XF86CONFIG = $(XF86CONFIGSRC)/xf86_Option.o
XF86COMLIB = $(XF86COMSRC)/libxf86.a
XF86OSLIB  = $(XF86OSSRC)/libxf86_os.a
XF86HWLIB  = $(XF86HWSRC)/libxf86_hw.a
XF86LIBS   = $(XF86INIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)
XF86MLIBS  = $(XF86MINIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.7 1995/01/28 15:40:36 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.7 1995/01/04 04:36:01 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197 94/12/05 19:30:41 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.11 1995/01/14 10:39:25 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -pipe -O4
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS = -Wl,-rpath,/usr/X11R6/lib
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -pipe -O4
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(strip $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES))
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r -x
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

#   $RCSfile: Makefile,v $ $Revision: 1.4 $ $Date: 1997/11/01 23:05:33 $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.248 95/01/06 19:12:51 gildea Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.12 1995/01/25 10:42:48 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.6 1995/01/28 15:40:27 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

    XEXEXTLIBSRC = $(LIBSRC)/XExExt

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

DEPXEXEXTLIB = $(USRLIBDIR)/libXExExt.a
XEXEXTLIB =  -lXExExt

LINTXEXEXT = $(LINTLIBDIR)/llib-lXExExt.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

## procps 1.11.1

=== Makefile ===
# Makefile for procps.  Chuck Blake.
# Portions of this are highly dependent upon features specific to GNU make

# shared lib versions
VERSION      =  1
SUBVERSION   =  11

PREFIX     =  #proc# prefix for program names
MAN1DIR    =  /usr/man/man1
MAN7DIR    =  /usr/man/man7
MAN8DIR    =  /usr/man/man8
BINDIR     =  /bin
SBINDIR    =  /sbin
USRBINDIR  =  /usr/bin
INSTALLBIN =  install --owner bin --group 0 --mode a=rx --strip
INSTALLMAN =  install --owner man --group 0 --mode a=r
ARCH       =  $(shell arch)

BPROG      =  ps #						-> BINDIR
UPROG      =  uptime tload free w top vmstat sessreg watch # -> USRBINDIR
SPROG      =  psupdate #					-> SBINDIR
MAN1       =  ps.1 uptime.1 tload.1 free.1 w.1 top.1 sessreg.1 watch.1
MAN7       =  ps_color.7 ps_fields.7
MAN8       =  psupdate.8 vmstat.8

SUBDIRS    =  skill psmisc xproc xcpustate # sub-packages to build/install

CC         =  gcc -pipe -O3 -fomit-frame-pointer #easy to command-line override
CFLAGS     =  -I. -Wall -Wunused -fwritable-strings $(PROC_OPTIONS)
SHARED     =  1# build/install both a static and ELF shared library
SHLIBDIR   =  /lib# where to install the shared library

# Compile-time Options for libproc, top, ps and w.
# -DPROC_COLOR        enables color support
# -DNEW_TIME_DEFAULT  makes the new time format the default one

PROC_OPTIONS = -DPROC_COLOR #-DNEW_TIME_DEFAULT


LDFLAGS    =  -Wl,-warn-common #	recommended for ELF systems
#LDFLAGS    =  -qmagic #		recommended for a.out systems
#LDFLAGS    =  -Xlinker -qmagic #	older a.out systems may need this
#LDFLAGS    =  -N #			still older a.out systems use this

LIBCURSES  =  -lncurses# watch is the only thing that needs this
#LIBCURSES  =  -lcurses -ltermcap# BSD Curses requires termcap
LIBTERMCAP =  -lncurses # if you dont't have termcap, use -lncurses
EXTRALIBS  =  # -lshadow

INPLACE_CF = -Wall -Wunused -fwritable-strings $(PROC_OPTIONS)
INPLACE_TGT = -lproc

ifeq ($(ARCH),alpha)
 EXTRALIBS += -lbfd -liberty
endif

ifeq ($(ARCH),sparc)
 EXTRALIBS += -lbfd -liberty
endif

W_SHOWFROM =  -DW_SHOWFROM# don't show remote host users are logged in from.

#----------------------------------------------------#
# End of user-configurable portion of the Makefile.  #
# You should not need to modify anything below this. #
#----------------------------------------------------#
BUILD = $(BPROG) $(UPROG) $(SPROG) $(SUBDIRS)

# BUILD LIBRARIES + PROGRAMS
all: $(BUILD)

inplace:
	make CFLAGS="$(INPLACE_CF)" LIB_TGT=$(INPLACE_TGT) all

# INSTALL PROGRAMS + DOCS
install: $(patsubst %,install_%,$(BUILD) $(MAN1) $(MAN8) $(MAN7))
ifeq ($(SHARED),1)
	install --owner 0 --group 0 --mode a=rx $(LIB_TGT) $(SHLIBDIR)
endif

# INSTALL LIBRARIES + HEADERS (OPTIONAL)
libinstall:
	$(MAKE) -C proc install $(LIBPROCPASS)

clean:
	$(RM) $(OBJ) $(BPROG) $(UPROG) $(SPROG) *~
	for i in proc $(SUBDIRS); do $(MAKE) -C $$i clean; done

distclean: clean
	for i in proc $(SUBDIRS); do $(MAKE) -C $$i clean; done
	$(MAKE) -C psmisc spotless
	$(RM) $(OBJ) $(BPROG) $(UPROG) $(SPROG) xproc/Makefile* xcpustate/Makefile* \
	      proc/signames.h proc/.depend do_install

checkout:
	$(CO) $(RCSFILES)
checkclean:
	$(RM) $(RCSFILES)
realclean: clean checkclean

#-----------------------------------------------------#
# End of user-callable make targets.                  #
# You should not need to read anything below this.    #
#-----------------------------------------------------#

.PHONY:	all install libinstall clean distclean checkout checkclean realclean
.PHONY: $(patsubst %,install_%, $(BPROG) $(UPROG) $(SPROG))
.PHONY: proc psmisc skill xproc xcpustate
.PHONY: $(patsubst %,build_%, proc psmisc skill xproc xcpustate)
.PHONY: $(patsubst %,install_%, proc psmisc skill xproc xcpustate)

LIBPROCPASS  =  SHARED=$(SHARED) SHLIBDIR=$(SHLIBDIR) VERSION=$(VERSION) SUBVERSION=$(SUBVERSION) PROC_COLOR="$(PROC_OPTIONS)" CC="$(CC)"

# libproc setup

ifeq ($(SHARED),1)
    LIB_TGT = proc/libproc.so.$(VERSION).$(SUBVERSION)
else
    LIB_TGT = proc/libproc.a
endif

$(LIB_TGT): $(wildcard proc/*.[ch])
	$(MAKE) -C proc `basename $(LIB_TGT)` $(LIBPROCPASS) all

# component package setup -- the pattern should be obvious: A build rule and
# unified executable+documentation install rule. (An extra makefile rule is
# needed for those packages which use Imake.)

psmisc:             build_psmisc
build_psmisc:		; $(MAKE) -C psmisc LIBCURSES=$(LIBCURSES)
install_psmisc:     psmisc		; $(MAKE) -C psmisc install

skill:              build_skill
build_skill:				; $(MAKE) -C skill
install_skill:      skill		; $(MAKE) -C skill install

xproc:              build_xproc
build_xproc:        xproc/Makefile	; $(MAKE) -C xproc
install_xproc:      xproc		; $(MAKE) -C xproc install
xproc/Makefile:     xproc/Imakefile	; cd xproc; xmkmf -a

xcpustate:          build_xcpustate
build_xcpustate:    xcpustate/Makefile	; $(MAKE) -C xcpustate
install_xcpustate:  xcpustate		; $(MAKE) -C xcpustate install
xcpustate/Makefile: xcpustate/Imakefile	; cd xcpustate; xmkmf -a

# executable dependencies

ps top w uptime tload free vmstat sessreg utmp psupdate : $(LIB_TGT)

# static pattern build/link rules:

%.o : %.c
	$(CC) $(CFLAGS) -c $^

top.o: top.c top.h
	$(CC) $(CFLAGS) -c $<

ps w uptime tload free vmstat sessreg utmp: % : %.o
	$(strip $(CC) $(LDFLAGS) -o $@ $< $(LIB_TGT) $(EXTRALIBS))

# special instances link rules (need extra libraries/objects)

psupdate:%: %.o aoutupdate.o elfupdate.o bfdupdate.o
	$(strip $(CC) $(SLDFLAGS) -o $@ $^ $(EXTRALIBS))

top:   % : %.o
	$(strip $(CC)  $(LDFLAGS) -o $@ $^ $(LIB_TGT) $(LIBTERMCAP) $(EXTRALIBS))

watch:	% : %.o
	$(strip $(CC) $(SLDFLAGS) -o $@ $< $(LIBCURSES) $(EXTRALIBS))

# special instances of compile rules (need extra defines)
w.o:	w.c
	$(strip $(CC) $(CFLAGS) $(W_SHOWFROM) -c $< $(EXTRALIBS))

sessreg.o:	sessreg.c
	$(strip $(CC) $(CFLAGS) -DSYSV -c $<)

# static pattern installation rules

$(patsubst %,install_%,$(BPROG)): install_%: %
	$(INSTALLBIN) $< $(BINDIR)/$(PREFIX)$<
$(patsubst %,install_%,$(UPROG)): install_%: %
	$(INSTALLBIN) $< $(USRBINDIR)/$(PREFIX)$<
$(patsubst %,install_%,$(SPROG)): install_%: %
	$(INSTALLBIN) $< $(SBINDIR)/$(PREFIX)$<
$(patsubst %,install_%,$(MAN1)) : install_%: %
	$(INSTALLMAN) $< $(MAN1DIR)/$(PREFIX)$<
$(patsubst %,install_%,$(MAN8)) : install_%: %
	$(INSTALLMAN) $< $(MAN8DIR)/$(PREFIX)$<
$(patsubst %,install_%,$(MAN7)) : install_%: %
	$(INSTALLMAN) $< $(MAN7DIR)/$(PREFIX)$<

# miscellaneous useful macros

VC_SUF   =  ,v
VC_PFX   =  RCS/
RCSFILES =  $(patsubst $(VC_PFX)%$(VC_SUF),%,$(wildcard $(VC_PFX)*$(VC_SUF)))
SRC      =  $(sort $(wildcard *.c) $(filter %.c,$(RCSFILES)))
OBJ      =  $(SRC:.c=.o)

=== proc/Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 # PROJECT SPECIFIC MACROS
 NAME       =  proc
+#VERSION    =  1        #These are inherited 
+#SUBVERSION =  02
+#SHARED     =  #1#	if 1 then do shared libraries as well as static
 
 # INSTALLATION OPTIONS
 TOPDIR     = /usr
@@ -15,8 +18,8 @@
 INSTALL    = install
 
 # COMPILATION OPTIONS
-CC         =  gcc -O2 -D_GNU_SOURCE #-ggdb # easy to command-line override
-CFLAGS     =  -I.. -Wall
+CC         =  gcc -O4 -fomit-frame-pointer#-ggdb # easy to command-line override
+CFLAGS     =  -I.. -Wall -fwritable-strings $(PROC_COLOR)
 
 # ----------------------------------------------------------------#
 # The rest is the auto-magic section -- highly GNU make dependent #
@@ -35,10 +38,10 @@
 HDR        =  $(sort $(wildcard *.h) $(filter %.h,$(RCSFILES)))
 
 OBJ        =  $(SRC:.c=.o)
-SONAME     =  lib$(NAME).so.$(LIBVERSION)
+SOBJ       =  $(SRC:.c=.so)
+SONAME     =  lib$(NAME).so.$(VERSION).$(SUBVERSION)
 
 ifeq ($(SHARED),1)
-CFLAGS += -fpic
 all: lib$(NAME).a $(SONAME)
 else
 all: lib$(NAME).a
@@ -47,8 +50,8 @@
 lib$(NAME).a: $(OBJ)
 	$(AR) rcs $@ $^
 
-$(SONAME): $(OBJ)
-	gcc -Wl,-shared -Wl,-soname,$(SONAME) -o $@ $^ -lc
+$(SONAME): $(SOBJ)
+	gcc -Wl,-shared -Wl,-soname,$(SONAME) -o $@ $^
 	ln -sf $(SONAME) lib$(NAME).so
 
 # AUTOMATIC DEPENDENCY GENERATION -- GCC AND GNUMAKE DEPENDENT
@@ -75,7 +78,7 @@
 dep:	.depend
 
 clean:
-	$(RM) lib$(NAME).* *.o
+	$(RM) lib$(NAME).a lib$(NAME).so* *.o *.so
 
 distclean:	clean
 	$(RM) .depend signames.h
@@ -91,17 +94,19 @@
 %.o : %.c
 	$(strip $(CC) $(CFLAGS) -c $<)
 
+%.so : %.c
+	$(strip $(CC) $(CFLAGS) -fPIC -c $< -o $@)
+
 # PROJECT SPECIFIC DEPENDENCIES/BUILD RULES
 
 
 version.o:	version.c version.h
-ifdef MINORVERSION
-	$(strip $(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\" -c version.c)
-else
 	$(strip $(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -c version.c)
-endif
 
-signals.o : signames.h
+version.so:	version.c version.h
+	$(strip $(CC) $(CFLAGS) -fPIC -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -c version.c -o $@ )
+
+signals.o signals.so: signames.h
 
 signames.h ../proc/signames.h : /usr/include/signal.h
 	/lib/cpp -dM </usr/include/signal.h |	\

=== psmisc/Makefile ===
CC=cc
CFLAGS=-O4 -DPSMISC_VERSION=\"`cat VERSION`\" \
  -Wall -Wno-parentheses -Wwrite-strings -Wpointer-arith #-Wcast-align \
  # -Wconversion -g
LDFLAGS=#-s -N #-Xlinker -qmagic
REAL_CPP=/lib/cpp
PROGS=killall pstree fuser
EBINDIR=/bin		# essential binaries
BINDIR=/usr/bin		# not so essential ones
MANDIR=/usr/man/man1	# all man pages

all:		$(PROGS)

signames.h:	/usr/include/signal.h
		$(REAL_CPP) -dM </usr/include/signal.h | \
		tr -s '\t ' '  ' | sort -n +2 | sed \
	's:#define SIG\([A-Z]\+[0-9]*\) \([0-9]\+\) *\(\|/\*.*\)$$:{\
\2,"\1" },:p;d' \
		  > signames.h

signals.o:	signals.h signals.c signames.h Makefile

fuser.o:	fuser.c comm.h signals.h Makefile VERSION
killall.o:	killall.c comm.h signals.h Makefile VERSION

fuser:		fuser.o signals.o
killall:	killall.o signals.o

pstree:		pstree.c comm.h Makefile VERSION
		$(CC) $(CFLAGS) $(LDFLAGS) -o pstree pstree.c $(LIBCURSES)

install:	$(PROGS)
		install -d -o 0 -g 0 -m 755 $(BINDIR)
		install -o 0 -g 0 -m 555 fuser $(EBINDIR)
		install -o 0 -g 0 -m 555 killall $(BINDIR)
		install -o 0 -g 0 -m 555 pstree $(BINDIR)
		install -d -o 0 -g 0 -m 755 $(MANDIR)
		install -o 0 -g 0 -m 444 *.1 $(MANDIR)

clean:
		rm -f *.o signames.h

spotless:	clean
		rm -f $(PROGS)

=== skill/Makefile ===
DESTDIR=
SHELL=	/bin/bash

# $(DESTDIR)/ is prepended to BINDIR and MANDIR.

# CONFIGURE: Set location of executable, its group and mode.
BINDIR=	usr/bin
BINGRP=	root
BINMOD=	0755

# CONFIGURE: Set location of man directory and man page suffix.
MANDIR=	usr/man/man1
MANSFX=	1

# CONFIGURE(Config): Select an OSTYPE for your machine from the list above.
OSTYPE=	linux

# CONFIGURE(Config): Add any OS-specific options here.
COPTS=-O3 -Wall -Wno-unused -pipe -I..

# CONFIGURE(Config): Add any special libraries your system needs.
LIBS=	-s -L../proc -lproc

SRCS=	main.c argparse.c getproc.c
OBJS=	main.o argparse.o getproc.o
HDRS=	conf.h

CFLAGS=	 ${COPTS}

all:	skill

.PHONY:	all install config clean lint FRC depend

skill:	${OBJS}
	${CC} ${CFLAGS} ${OBJS} -o skill ${LIBS}

getproc.c:
	rm -f getproc.c getproc.o
	ln -s machdep/${OSTYPE}.c getproc.c

${OBJS}: ${HDRS}

install: skill
#(SysV)	filepriv -d ${DESTDIR}/${BINDIR}/skill
	rm -f ${DESTDIR}/${BINDIR}/skill ${DESTDIR}/${MANDIR}/skill.${MANSFX}
	rm -f ${DESTDIR}/${BINDIR}/snice ${DESTDIR}/${MANDIR}/snice.${MANSFX}
#	install -c -g ${BINGRP} -m ${BINMOD} -s skill ${DESTDIR}/${BINDIR}
	cp skill ${DESTDIR}/${BINDIR}/skill
	strip ${DESTDIR}/${BINDIR}/skill
	chgrp ${BINGRP} ${DESTDIR}/${BINDIR}/skill
	chmod ${BINMOD} ${DESTDIR}/${BINDIR}/skill
	ln ${DESTDIR}/${BINDIR}/skill ${DESTDIR}/${BINDIR}/snice
#(SysV)	filepriv -f dacread ${DESTDIR}/${BINDIR}/skill
#	install -c -m 644 skill.1 ${DESTDIR}/${MANDIR}/skill.${MANSFX}
	cp skill.1 ${DESTDIR}/${MANDIR}/skill.${MANSFX}
	chmod 644 ${DESTDIR}/${MANDIR}/skill.${MANSFX}
	ln ${DESTDIR}/${MANDIR}/skill.${MANSFX}\
		${DESTDIR}/${MANDIR}/snice.${MANSFX}

config Config: FRC
	./Config

clean:
	rm -f skill snice *.o [Ee]rrs [Ii][Ee]rrs mklog a.out core getproc.c

lint:	getproc.c
	lint ${COPTS} ${SRCS} ${LIBS}

FRC:

depend: ${SRCS}
	for i in ${SRCS}; do \
	    cc -M ${COPTS} $$i | sed 's/\.o//' | \
	    awk ' { if ($$1 != prev) \
		{ if (rec != "") print rec; rec = $$0; prev = $$1; } \
		else { if (length(rec $$2) > 78) { print rec; rec = $$0; } \
		else rec = rec " " $$2 } } \
		END { print rec } ' >> makedep; done
	echo '/^# DO NOT DELETE THIS LINE/+2,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm eddep makedep
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE -- make depend uses it

# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above

=== debian/changelog ===
procps (1.11.1) unstable; urgency=low

  * fixed bug in w <username>
  * automatic resize if field length is exceeded. This changed the shared
    library, so popping the major number.
  * fixed numeric WCHAN output on Alphas and stupid bug in ps (again,
    thanks to H. Koenig). 
  * fixed top memory statistics for systems with more than 100M memory or 
    swap. 
  
 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Tue, 12 Nov 1996 02:57:18 +0100

procps (1.10.1) unstable; urgency=low

  * merged in ALPHA & Sparc patches
    (from ftp.azstarnet.com:/pub/linux/axp/glibc)
  * fixed ps --deselect/-N for pid lists    
  * use shared libs from now on, install shlibs again
  * manpages for libproc
  * static lib compiled without -fPIC
  * added libproc package for development installing libproc headers,
    manpages and static library. 
  * fixed PROC_REAL bug when PROC_FILLSTATUS isn't set.
  * fixed color bug in ps --forest
  * added xproc package for xload, xmem, xidle, xcpustate
    (XConsole left out as we use xconsole & klogd on debian)
  * adapted xload manpage for xidle and xmem
  * fixed xmem to cope with newer kernels (where shared pages are counted
    once for each additional reference)
  * fixed top change_fields bug (a field needs 24, not 21 spaces)
  * fixed several Alpha bugs (thanks to Harald Koenig)
  * due to popular demand, the old format for time intervals is back.
    for all program using this, a toggle command line option has been
    provided. The default behaviour depends on the compile time option
    NEW_TIME_DEFAULT (see main Makefile)

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Wed, 23 Oct 1996 21:30:54 +0200

procps (1.09.2) unstable; urgency=low

  * fixed cpu nice % in summary
  * fixed topsetup initialisation in top.h I messed up in last revision
  * fixed pipe output bug
  * fixed --deselect bug in SVR4/POSIX mode

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 20 Oct 1996 13:57:11 +0200

procps (1.09.1) unstable; urgency=low

  * fixed ps -w bug displaying too many empty lines
  * fixed SIGSEGV bug in ps -www
  * fixed bug in top not calculating length of the command/args/env fields
    at the field selection screen in some circumstances.
  * fixed SIGSEGV bug when using environ field

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 12 Oct 1996 07:59:29 +0200

procps (1.09) experimental; urgency=low

  * This is an experimental release of the procps suite. A lot of features have
    been added since the 1.01(a) release:
     - support for both BSD and POSIX (SVR4) style command line options.
     - completely configurable display of information.
     - colour markup of processes exceeding limits or belonging to a user.
    Please take a look at /usr/doc/procps/NEWS and the manpages for a concise
    list. This is how the next upstream release of procps may look
    (i.e. it will  look like this if there is not too much resistance).  

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 5 Oct 1996 14:26:57 +0200

Local Variables:
mode: debian-changelog
End:

=== debian/control ===
Source: procps
Section: base
Priority: required
Maintainer: Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>
Standards-Version: 2.1.1.0

Package: procps
Architecture: any
Replaces: watch
Provides: watch
Essential: yes
Depends: ${shlibs:Depends}
Conflicts: watch
Description: The /proc file system utilities.
 This is an experimental release of the procps suite. A lot of features have
 been added since the 1.01(a) release:
 - support for both BSD and POSIX (SVR4) style command line options.
 - completely configurable display of information.
 - colour markup of processes exceeding limits or belonging to special users.
 Please take a look at /usr/doc/procps/NEWS, /usr/doc/procps/changelog.debian and
 the manpages for a concise list. This is how the next upstream release of
 procps may look (i.e. it will  look like this if there is not too much
 resistance). 
 This is, for now, a debian-only package which should not appear outside of
 master.debian.org.
 .
 These are utilities to browse the /proc filesystem, which is not a real file
 system but a way for the kernel to provide information about the status of
 entries in its process table. (e.g. running, stopped or "zombie")
 Both command line and full screen utilities are provided. Ncurses is needed
 for the full screen utilities.

Package: libproc-dev
Architecture: any
Section: devel
Priority: optional
Depends: libc5-dev, ${shlibs:Depends} 
Description: library for accessing process information from /proc
 These are the header files, static library and manpages for 
 libproc. Some packages using libproc to access process information
 from /proc need these to compile.

Package: xproc
Architecture: any
Section: x11
Priority: optional
Depends: ${shlibs:Depends}
Description: some tools to display process information on X
 This package includes some X programs displaying load, memory use or
 cpu states.

=== debian/rules ===
#! /usr/bin/make -f
#
# Last updated: Tue Jan  9 13:12:15 EST 1996 by Fernando Alegre.
#                                               <alegre@mars.superlink.net>
# Major changes for new source format  Oct 5 1996 Helmut Geyer
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.
# 
# In general it is better to use 'dpkg-buildpackage -tc' to build all 
# important targets
INSTDIR=install -m 755 -o root -g root -d
INSTFILE=install -m 644 -o root -g root
INSTPRG=install -m 755 -o root -g root -s
INSTEXE=install -m 755 -o root -g root


DOCS=NEWS TODO BUGS 
# The name of the package (for example, `emacs').
p = procps
# version number of the shared library
v=1.11

MAN1=ps.1 uptime.1 tload.1 free.1 w.1 top.1 watch.1 skill/skill.1 \
     psmisc/killall.1 psmisc/pstree.1 psmisc/fuser.1
MAN3=proc/libproc.3 proc/libproc_pw.3 proc/readproctab.3 proc/libproc_dev.3 \
     proc/openproc.3 proc/templ.3 proc/libproc_output.3 proc/readproc.3
MAN7=ps_color.7 ps_fields.7
MAN8=psupdate.8 vmstat.8

define checkdir
   test -f proc/readproc.h -a -f debian/rules
endef

build:
# Builds the binary package.
	$(checkdir)
	-make clean
	make
	touch build

clean:
# Undoes the effect of `make -f debian.rules build'.
	$(checkdir)
	-make distclean
	-rm -f build
	-rm -rf debian/tmp
	-rm -f debian/*~

binary-indep: checkroot build 
	$(checkdir)

binary-procps: checkroot build 
	-rm -rf debian/tmp
	$(INSTDIR) debian/tmp
	chmod g-s debian/tmp
	$(INSTDIR) debian/tmp/DEBIAN
	$(INSTDIR) debian/tmp/bin
	$(INSTDIR) debian/tmp/usr/bin
	$(INSTDIR) debian/tmp/sbin
	$(INSTDIR) debian/tmp/usr/man/man1
	$(INSTDIR) debian/tmp/usr/man/man7
	$(INSTDIR) debian/tmp/usr/man/man8
	$(INSTPRG) ps debian/tmp/bin/ps
	$(INSTPRG) uptime debian/tmp/usr/bin/uptime
	$(INSTPRG) tload debian/tmp/usr/bin/tload
	$(INSTPRG) free debian/tmp/usr/bin/free
	$(INSTPRG) w debian/tmp/usr/bin/w
	$(INSTPRG) top debian/tmp/usr/bin/top
	$(INSTPRG) vmstat debian/tmp/usr/bin/vmstat
	$(INSTPRG) watch debian/tmp/usr/bin/watch
	$(INSTPRG) psupdate debian/tmp/sbin/psupdate
	$(INSTPRG) skill/skill debian/tmp/usr/bin/skill
	(cd debian/tmp/usr/bin && ln -s skill snice)
	$(INSTPRG) psmisc/fuser debian/tmp/bin		
	$(INSTPRG) psmisc/killall debian/tmp/usr/bin		
	$(INSTPRG) psmisc/pstree debian/tmp/usr/bin		
	$(INSTDIR) debian/tmp/lib
	$(INSTEXE) proc/libproc.so.$(v) debian/tmp/lib/libproc.so.$(v)
	$(INSTFILE) $(MAN1) debian/tmp/usr/man/man1
	$(INSTFILE) $(MAN7) debian/tmp/usr/man/man7
	$(INSTFILE) $(MAN8) debian/tmp/usr/man/man8
	$(INSTDIR) debian/tmp/usr/doc/copyright
	$(INSTDIR) debian/tmp/usr/doc/$(p)
	$(INSTFILE) debian/changelog debian/tmp/usr/doc/procps/changlog.Debian
	$(INSTFILE) $(DOCS) debian/tmp/usr/doc/procps/
	$(INSTFILE) debian/shlibs debian/tmp/DEBIAN/
	$(INSTEXE) debian/postinst debian/tmp/DEBIAN/
	$(INSTEXE) debian/postrm debian/tmp/DEBIAN/
	$(INSTFILE) debian/copyright debian/tmp/usr/doc/copyright/$(p)
	-gzip -9vfr debian/tmp/usr/man
	-gzip -9vfr debian/tmp/usr/doc
	(cd debian/tmp/usr/man/man1 ; ln -s skill.1.gz snice.1.gz)
	unset LD_PRELOAD; dpkg-shlibdeps -Ldebian/shlibs.ignore top
	dpkg-gencontrol -pprocps
	dpkg --build debian/tmp ..

binary-libproc: checkroot build
	rm -rf debian/tmp
	$(INSTDIR) debian/tmp
	chmod g-s debian/tmp
	$(INSTDIR) debian/tmp/DEBIAN
	$(INSTDIR) debian/tmp/usr/lib
	$(INSTFILE) proc/libproc.a debian/tmp/usr/lib
	(cd debian/tmp/usr/lib && ln -sf /lib/libproc.so.$(v) libproc.so )
	$(INSTDIR) debian/tmp/usr/include/proc
	$(INSTFILE) proc/*.h debian/tmp/usr/include/proc
	$(INSTDIR) debian/tmp/usr/doc/copyright
	$(INSTFILE) debian/copyright debian/tmp/usr/doc/copyright/libproc
	$(INSTDIR) debian/tmp/usr/man/man3
	$(INSTFILE) $(MAN3) debian/tmp/usr/man/man3
	-gzip -9vfr debian/tmp/usr/man
	-gzip -9vfr debian/tmp/usr/doc
	unset LD_PRELOAD; dpkg-shlibdeps ps
	dpkg-gencontrol -plibproc-dev
	dpkg --build debian/tmp ..

binary-xproc: checkroot build
	rm -rf debian/tmp
	$(INSTDIR) debian/tmp
	chmod g-s debian/tmp
	$(INSTDIR) debian/tmp/DEBIAN
	$(INSTDIR) debian/tmp/usr/X11R6/bin
	$(INSTPRG) xproc/xload debian/tmp/usr/X11R6/bin
	(cd debian/tmp/usr/X11R6/bin && ln -s xload xmem && ln -s xload xidle )
	$(INSTPRG) xcpustate/xcpustate debian/tmp/usr/X11R6/bin
	$(INSTDIR) debian/tmp/usr/X11R6/lib/X11/app-defaults
	$(INSTFILE) xproc/XLoad.ad \
	            debian/tmp/usr/X11R6/lib/X11/app-defaults/XLoad
	$(INSTFILE) xproc/XIdle.ad \
	            debian/tmp/usr/X11R6/lib/X11/app-defaults/XIdle
	$(INSTFILE) xproc/XMem.ad \
	            debian/tmp/usr/X11R6/lib/X11/app-defaults/XMem
	$(INSTDIR) debian/tmp/usr/X11R6/man/man1
	$(INSTFILE) xproc/xload.man debian/tmp/usr/X11R6/man/man1/xload.1x
	$(INSTFILE) xproc/xidle.man debian/tmp/usr/X11R6/man/man1/xidle.1x
	$(INSTFILE) xproc/xmem.man debian/tmp/usr/X11R6/man/man1/xmem.1x
	$(INSTFILE) xcpustate/xcpustate.man \
	            debian/tmp/usr/X11R6/man/man1/xcpustate.1x
	$(INSTDIR) debian/tmp/usr/doc/copyright
	$(INSTFILE) debian/copyright debian/tmp/usr/doc/copyright/xproc
	-gzip -9vfr debian/tmp/usr/X11R6/man
	-gzip -9vfr debian/tmp/usr/doc
	unset LD_PRELOAD; dpkg-shlibdeps xproc/xload
	dpkg-gencontrol -pxproc
	dpkg --build debian/tmp ..

# generic targets:
binary:     binary-indep binary-arch

binary-arch: binary-procps binary-libproc binary-xproc

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot binary-procps binary-libproc binary-xproc
